/**
 * The following styles get applied both on the front of your site
 * and in the editor.
 *
 * Replace them with your own styles or remove the file completely.
 */

.wp-block-wpct-block-teaser {
	border-radius: 12px;
	min-height: 100%;
	display: flex;
	flex-direction: column;

	> figcaption {
		padding-top: 3%;
		padding-bottom: var(--wp--preset--spacing--40);
		padding-left: var(--wp--preset--spacing--40);
		padding-right: var(--wp--preset--spacing--40);
		flex: 1;
		display: flex;
		flex-direction: column;
	}

	.wpct-teaser-thumbnail {
		border-top-left-radius: 12px;
		border-top-right-radius: 12px;
		width: 100%;
		height: 50%;
		object-fit: cover;
		object-position: center;
		min-height: 200px;
	}

	.wpct-teaser-content {
		flex: 1;
	}

	.wpct-teaser-cta {
		margin-top: var(--wp--preset--spacing--40);
		margin-bottom: 0;

		.wpct-teaser-link {
			text-decoration: underline;
			position: relative;
			color: var(--wp--preset--color--typography);

			&:after {
				position: absolute;
				top: 50%;
				right: -1.1em;
				content: "→";
				transform: translateY(-45%);
				font-size: 1.1em;
			}
		}
	}
}
